Subject: [Geopriv] RE: draft-jones-radius-geopriv

From: "Adrangi, Farid" <[email-masked]>
Date: Tue, 17 Feb 2004 07:43:43 -0800

> A summary of the various intersections might be useful here:
> (for others - I know Bernard knows this background)
> 
> draft-ietf-geopriv-dhcp-lci-option-03.txt specifies a way for a 
> DHCP server to give a host the host's location, using (circuit-ID)
> information from the relay-agent and knowledge of the wiring plant.
> 
> draft-ietf-dhc-agentopt-radius-03.txt specifies a way for a DHCP
> relay agent to relay RADIUS information to the DHCP server for its
> use in allocating configuration options.
> 
> draft-jones-radius-geopriv specifies a way for a NAS to tell a 
> RADIUS server the location of the NAS. The location of the NAS could
> be manually configured either in the NAS or in the RADIUS server
> with which it shares a secret. The radius-geopriv attribute might
> be added to the RADIUS attributes that are forwarded to a different
> (home) RADIUS server (in the global roaming situation).
> (If this summary is incorrect, please clarify.)
> 
> Before combining these ideas in a creative way, one would need to
> have a clear understanding of whose location information is needed
> where, and which provider of the information has the best 
> access to it.
> Since this analysis is already too difficult for some of us to want
> to attempt, making it worse with different information formats seems
> like over-kill.
> 
> John
> 
> 

Thanks for the summary Johh.  There is also another related draft
(draft-adrangi-radius-location-information-attribute-00.txt) that
specifies a way for an Access Network (NAS) to convey the Access Network
operational ownership and location information to the home RADIUS
server.  This draft is based on the requirements defined by GSMA
operators and Wifi PA3 (public access) to enable location-based
authentication, location-based services, and location-based billing and
accounting use-scenarios.  

> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/radiusext/>
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv